
// Shot: a shot

// everything in 'data' is synced with the server
// everything else is client-side only

/*******************************************************************************

 $Author: dmc $
 $Revision: 3094 $
 $Date: 2022-07-23 10:59:34 -0300 (Sat, 23 Jul 2022) $
 $HeadURL: http://support2.silvermountaintargets.com/svn/smt/smtv2-lodi/public/javascripts/client_shot.js $
*******************************************************************************/

// DMC 23 July 2022 - turns out that ClientShot isn't used!

ClientShot.crud = function(delta) {
	var msg = new_crud();
	msg.shots["new"] = delta;
	log("new shot.crud()", msg);
	g_socket.emit("crud", msg);
}

function ClientShot(data) {
	this.data = data;

	log("creating shot: x = " + data.x + ", y = " + data.y);

	this.ts_local = data.ts + cur_ts_local_error;

	this.crud = function(delta) {
		var msg = new_crud();
		msg.shots[this.id()] = delta;
		log("shot.crud()", msg);
		g_socket.emit("crud", msg);
	}

	this.id = function() {
		return this.data._id;
	}

	this.string = function() {
		return g_strings[this.data.string_id];
	}


}

